import Image from "next/image";

type DetailView = {
    id: number;
    name: string;
    cover: { url: string };
    summary: string;
}

type DetailViewArray = DetailView[];



export default async function GameDetail({ params }: { params: any }) {
    const res = await fetch("https://api.igdb.com/v4/games", {
        method: 'POST',
        headers: {
            'Accept': 'application/json',
            'Content-Type': 'application/json',
            'Client-ID': `${process.env.IMDB_CLIENT_ID}`,
            'Authorization': `${process.env.IMDB_AUTH}`,
        },
        body: `fields name,cover.*,summary; where cover != null; where id = ${params.gameid};`,
    });
    const data: DetailViewArray = await res.json()

    return (
        <div>
            Game Detail
            <h1>{data[0].name}</h1>
            <Image src={"https:" + data[0].cover.url} alt={data[0].name} width={200} height={200} priority />
            <p>{data[0].summary}</p>
        </div>
    )
}
